GET /data/user/time-spents/{date}

Retrieve time spent entries for the current user on a specific date. Returns all time entries for the given date.

Path parameters

  • date string(date) Required

    Date to get time spents for

Responses

  • 200 application/json

    Time spent entries for the current user on given date

    Hide response attributes Show response attributes object
    • date string(date)

      Date of time spent

    • total_duration number

      Total duration in seconds

    • entries array[object]
      Hide entries attributes Show entries attributes object
      • id string(uuid)

        Time spent unique identifier

      • task_id string(uuid)

        Task identifier

      • duration number

        Duration in seconds

      • created_at string(date-time)

        Creation timestamp

  • 400

    Wrong date format

GET /data/user/time-spents/{date}
curl -X GET "http://api.example.com/data/user/time-spents/2023-01-01" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/user/time-spents/2023-01-01"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/user/time-spents/2023-01-01' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "date": "2023-01-01",
  "total_duration": 28800,
  "entries": [
    {
      "id": "a24a6ea4-ce75-4665-a070-57453082c25",
      "task_id": "b35b7fb5-df86-5776-b181-68564193d36",
      "duration": 3600,
      "created_at": "2023-01-01T12:00:00Z"
    }
  ]
}